/******************************************************************************
 * Main.java - Start me up
 * $Id: Main.java,v 1.7 2009/02/14 13:15:43 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2008 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: Main.java,v $
 * Revision 1.7  2009/02/14 13:15:43  dick
 * BuckoFIBS is released under the GNU license.
 *
 * Revision 1.6  2009/02/13 07:08:18  dick
 * If there is a --version on the command line, just output the version and exit.
 *
 * Revision 1.5  2009/01/28 02:58:18  dick
 * Javadoc.
 *
 * Revision 1.4  2009/01/18 06:17:56  dick
 * Make the constructor protected for prettier Javadoc.
 *
 * Revision 1.3  2009/01/18 04:53:09  dick
 * MainDialog needs the CommandDispatcher sent to it.
 *
 * Revision 1.2  2008/12/11 08:28:29  dick
 * Javadoc.
 *
 * Revision 1.1  2008/03/30 05:41:29  dick
 * Main moved from BuckoFIBS.gui to BuckoFIBS.
 *
 * Revision 1.1  2008/03/29 08:57:43  dick
 * BuckoFIBS skeleton checkin.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS;

import com.buckosoft.fibs.BuckoFIBS.gui.MainDialog;

/** Start me up.
 * @author Dick Balaska
 * @since 2008/03/29
 * @version $Revision: 1.7 $ <br> $Date: 2009/02/14 13:15:43 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/Main.java">cvs Main.java</a>
 */
public class Main {
	protected Main() {}

	private	static	void	createAndShowGUI() {
		BFProperties properties = new BFProperties();
		CommandDispatcher commandDispatcher = new CommandDispatcherImpl();
		MainDialog mainDialog = new MainDialog(properties, commandDispatcher);
		mainDialog.setVisible(true);
		
	}
	/** main entry point into the application
	 * @param args --version Display the version and exit.
	 */
	public static void main(String[] args) {
		if (args.length > 0 && args[0].equals("--version")) {
			System.out.print(Version.version);
			return;
		}
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGUI();
			}
		});
	}


}
