/******************************************************************************
 * ToolbarHandler.java - Interface to describe how to handle one of the board toolbar events.
 * $Id: ToolbarHandler.java,v 1.3 2009/02/14 15:32:16 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2009 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: ToolbarHandler.java,v $
 * Revision 1.3  2009/02/14 15:32:16  dick
 * BuckoFIBS is released under the GNU license.
 *
 * Revision 1.2  2009/02/05 05:59:18  dick
 * Add the AskDoubles and Resign buttons.
 *
 * Revision 1.1  2009/01/31 06:03:34  dick
 * Interface to describe how to handle one of the board toolbar events.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS.gui.board;

/** Interface to describe how to handle one of the board toolbar events.
 * @author Dick Balaska
 * @since 2009/01/30
 * @version $Revision: 1.3 $ <br> $Date: 2009/02/14 15:32:16 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/board/ToolbarHandler.java">cvs ToolbarHandler.java</a>
 */
public interface ToolbarHandler {
	
	/** Define the different buttons on the Board toolbar
	 */
	enum Button {
		Undo,
		Greedy,
		AskDoubles,
		Resign,
		
		First,
		Prev,
		Next,
		Last,
	}
	
	/** Method to call when a button is pressed
	 * @param button The Button
	 */
	void	buttonPressed(Button button);
}
