/******************************************************************************
 * InvitePopupSubmenu.java - The invite submenu that says how many games to invite for.
 * $Id: InvitePopupSubmenu.java,v 1.4 2010/01/23 06:28:43 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2009 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: InvitePopupSubmenu.java,v $
 * Revision 1.4  2010/01/23 06:28:43  dick
 * whitespace.
 *
 * Revision 1.3  2009/02/14 15:46:36  dick
 * BuckoFIBS is released under the GNU license.
 *
 * Revision 1.2  2009/02/02 08:38:53  dick
 * Variable invitations functional.
 *
 * Revision 1.1  2009/02/01 21:27:15  dick
 * The invite submenu that says how many games to invite for.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS.gui.playerList;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenu;
import javax.swing.JMenuItem;

/** The invite submenu that says how many games to invite for.
 * @author Dick Balaska
 * @since 2009/02/01
 * @version $Revision: 1.4 $ <br> $Date: 2010/01/23 06:28:43 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/playerList/InvitePopupSubmenu.java">cvs InvitePopupSubmenu.java</a>
 */
public class InvitePopupSubmenu extends JMenu implements ActionListener {
	private static final long serialVersionUID = 1L;
	private	ActionListener	menuHandler = null;  //  @jve:decl-index=0:

	private JMenuItem jMenuItemResume = null;
	private JMenuItem jMenuItem1 = null;
	private JMenuItem jMenuItem3 = null;
	private JMenuItem jMenuItem5 = null;

	/**
	 * This method initializes 
	 * 
	 */
	public InvitePopupSubmenu() {
		super();
		initialize();
	}

	/** Set our reference to the object that will receive menu events
	 * @param c The ActionListener object
	 */ 
	public	void setMenuHandler(ActionListener c) {
		this.menuHandler = c;
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent e) {
		menuHandler.actionPerformed(e);
	}

	
	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
        this.setSize(new Dimension(73, 40));
        this.setText("Invite");
        this.add(getJMenuItemResume());
        this.add(getJMenuItem1());
        this.add(getJMenuItem3());
        this.add(getJMenuItem5());

	}

	/**
	 * This method initializes jMenuItemResume	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	protected JMenuItem getJMenuItemResume() {
		if (jMenuItemResume == null) {
			jMenuItemResume = new JMenuItem();
			jMenuItemResume.setText("resume");
			jMenuItemResume.setActionCommand("inv-");
			jMenuItemResume.setToolTipText("continue a saved game.");
			jMenuItemResume.addActionListener(this);
		}
		return jMenuItemResume;
	}

	/**
	 * This method initializes jMenuItem1	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getJMenuItem1() {
		if (jMenuItem1 == null) {
			jMenuItem1 = new JMenuItem();
			jMenuItem1.setText("1");
			jMenuItem1.setActionCommand("inv-1");
			jMenuItem1.addActionListener(this);
		}
		return jMenuItem1;
	}

	/**
	 * This method initializes jMenuItem3	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getJMenuItem3() {
		if (jMenuItem3 == null) {
			jMenuItem3 = new JMenuItem();
			jMenuItem3.setText("3");
			jMenuItem3.setActionCommand("inv-3");
			jMenuItem3.addActionListener(this);
		}
		return jMenuItem3;
	}

	/**
	 * This method initializes jMenuItem5	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getJMenuItem5() {
		if (jMenuItem5 == null) {
			jMenuItem5 = new JMenuItem();
			jMenuItem5.setText("5");
			jMenuItem5.setActionCommand("inv-5");
			jMenuItem5.addActionListener(this);
		}
		return jMenuItem5;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
